# FacetClumps

#### Introduction

FacetClumps: A Facet-based Molecular Clump Detection Algorithm

FacetClumps is a Python package for extraction and analysis of clumpy structure in molecular clouds. 

We sincerely welcome community contributions to its optimization. If you find an issue with the code, or would like to request additional features, please raise an issue in the repository or send me an email. Email: yujiang@pmo.ac.cn

If you use FacetClumps in a publication, please cite the article [Jiang Yu et al.](https://ui.adsabs.harvard.edu/abs/2023arXiv230518709J/abstract) and the [Software](https://ascl.net/2306.038) in Astrophysics Source Code Library (ASCL).

#### Direction for usage

Please refer to Eamples/Examples_Files_FacetClumps.ipynb for the usage in detecting fits files. 

#### The reference of the Example data 

'M17_C18O_Part.fits' is the $C^{18}O$ ($J = 1-0$) emission line of the Milky Way Imaging Scroll Painting (MWISP) within $11.7^{\circ} \leq l \leq 13.4^{\circ}$, $0.22^{\circ} \leq b \leq 1.05^{\circ}$ and 5 km $s^{-1}\leq v \leq$ 35 km $s^{-1}$. MWISP project is a multi-line survey in $^{12}CO/^{13}CO/C^{18}O$ along the northern galactic plane with PMO-13.7m telescope.

